TrustKeeper Scan Engine Update - October 29, 2012

All Hallows' Eve is just around the corner, and the vulnerability research team has been hard at work getting ready. In between shopping trips to pick up candy and costume supplies, and practicing ghost stories about haunted servers, we've put together an update to the TrustKeeper scanner packed with the spookiest vulnerability tests we could write. We have tests for more than two dozen new vulnerabilities now, including recent ones for Cisco IOS, as well as several for Microsoft Exchange and SharePoint.

With that done, now we can get back to our sewing machines. The TrustKeeper scanner is going as a buffer overflow this Halloween; so, that's a lot of work, as you can imagine.

Spooky New Vulnerability Test Highlights

Some of the more interesting vulnerability tests we added recently are as follows:

Apache
* Apache Tomcat Servlet Host Manager Servlet Cross-Site Scripting Vulnerability (CVE-2007-3386)
* Apache mod_perl Denial of Service (CVE-2007-1349)

Cisco
* Cisco IOS Software Malformed Border Gateway Protocol Attribute Vulnerability (CVE-2012-4617)
* Cisco IOS Software Intrusion Prevention System Denial of Service Vulnerability (CVE-2012-3950)

Microsoft
* Vulnerability in WordPad Text Converters Could Allow Remote Code Execution (MS11-033) (CVE-2011-0028)
* Vulnerability in the OpenType Compact Font Format (CFF) Driver Could Allow Remote Code Execution (MS11-032) (CVE-2011-0034)
* Vulnerabilities in Microsoft Exchange and Windows SMTP Service Could Allow Denial of Service (MS10-024) (CVE-2010-0024, CVE-2010-0025, CVE-2010-1689, CVE-2010-1690)
* Vulnerability in Microsoft Exchange Server Could Allow Denial of Service (MS10-106) (CVE-2010-3937)
* Vulnerabilities in Microsoft Exchange Could Allow Remote Code Execution (MS09-003) (CVE-2009-0098, CVE-2009-0099)
* Vulnerabilities in Microsoft Exchange Could Allow Remote Code Execution (MS07-026) (CVE-2007-0039, CVE-2007-0213, CVE-2007-0220, CVE-2007-0221)
* Vulnerability in the OpenType Compact Font Format (CFF) Driver Could Allow Remote Code Execution (MS11-007) (CVE-2011-0033)
* Vulnerability in Windows Kernel could allow elevation of privilege (MS12-068) (CVE-2012-2529)
* Vulnerability in Kerberos could allow denial of service (MS12-069) (CVE-2012-2551)
* Vulnerability in HTML Sanitization Component Could Allow Elevation of Privilege (MS12-066) (CVE-2012-2520)
* Microsoft SharePoint Calendar XSS (MS11-074) (CVE-2011-0653)
* Microsoft Sharepoint EditForm.aspx XSS Vulnerability (MS11-074) (CVE-2011-1890)
* Microsoft Sharepoint Contact Details Reflected XSS Vulnerability (MS11-074) (CVE-2011-1891)
* Microsoft Sharepoint Unspecified XSS Vulnerability (MS11-074) (CVE-2011-1893)
* Microsoft Sharepoint Remote File Disclosure Vulnerability (MS11-074) (CVE-2011-1892)
* Vulnerability in MHTML Could Allow Information Disclosure (MS11-026) (CVE-2011-0096)
* Vulnerabilities in Kerberos Could Allow Elevation of Privilege (MS11-013) (CVE-2011-0091)
* Vulnerabilities in SMB Client Could Allow Remote Code Execution (MS11-019) (CVE-2011-0654)

Other
* Moodle Guest Role Privileged Access Vulnerability (CVE-2011-4297)
* Quick.Cart Multiple Cross-site Request Forgery (CSRF) Vulnerabilities (CVE-2009-4120)

How to Update?

All Trustwave customers using the TrustKeeper Scan Engine receive the updates "auto-magically" as soon as an update is available. No action is required.

Trustwave reserves the right to review all comments in the discussion below. Please note that for security and other reasons, we may not approve comments containing links.